Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1404 closed defect

The Haleakala BSP lacks a network driver

Reported by: Michael Hamel Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.9
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The enclosed driver has been tested and seems to work reliably

Attachments (2)

HaleakalaNet.tar.bz2 (23.1 KB) - added by Michael Hamel on 04/23/09 at 21:52:41.
Four new files plus a .diff changing five others
pr1404.diff (57.4 KB) - added by Joel Sherrill on 08/08/10 at 21:42:34.
Attempt to merge against head`

Download all attachments as: .zip

Change History (8)

Changed on 04/23/09 at 21:52:41 by Michael Hamel

Attachment: HaleakalaNet.tar.bz2 added

Four new files plus a .diff changing five others

comment:1 Changed on 08/08/10 at 21:39:31 by Joel Sherrill

Milestone: 4.104.11

Changed on 08/08/10 at 21:42:34 by Joel Sherrill

Attachment: pr1404.diff added

Attempt to merge against head`

comment:2 Changed on 08/08/10 at 21:42:34 by Joel Sherrill

That attached diff is against the head as of today. It only includes the network and mmu changes. It compiles. Could you kindly review this and
see if I missed any other pieces?

At this point if your review says it is OK and it compiles, then I will
commit it in the interest of "having a network driver is better than
not having one."

comment:3 Changed on 04/11/14 at 19:31:16 by Gedare Bloom

Milestone: 4.114.12

comment:4 Changed on 11/20/14 at 03:31:07 by Chris Johns

Milestone: 4.124.11

comment:5 Changed on 11/21/14 at 17:11:13 by Joel Sherrill

This patch applied cleanly to the git master except for a few lines in Makefile.am. I will see if it builds and then apply it.

comment:6 Changed on 11/23/14 at 00:21:04 by Joel Sherrill

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.